Bug 1572035 - Review Request: cohomCalg - Sheaf cohomologies for line bundles on toric varieties
Summary: Review Request: cohomCalg - Sheaf cohomologies for line bundles on toric vari...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 03:58 UTC by Jerry James
Modified: 2018-04-29 04:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-29 04:33:42 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2018-04-26 03:58:20 UTC
Spec URL: https://jjames.fedorapeople.org/cohomCalg/cohomCalg.spec
SRPM URL: https://jjames.fedorapeople.org/cohomCalg/cohomCalg-0.32-1.fc29.src.rpm
Description: This package computes sheaf cohomologies for line bundles on toric
varieties.
Fedora Account System Username: jjames

This is a new dependency of Macaulay2.  It bundles a library by the name of polylib, but (a) the last upstream polylib release was in 2010, and (b) that library has been modified by the cohomCalg maintainers.

Comment 1 Robert-André Mauchin 🐧 2018-04-26 13:30:23 UTC
 - How do you get/generate Source1? Add a comment explaining it.

 - Split the doc in a separate noarch subpackage.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1064960 bytes in 2 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v3 or later)", "*No copyright* GPL (v3)",
     "Unknown or generated", "GPL (v3 or later)". 48 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/cohomCalg/review-cohomCalg/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1105920 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cohomCalg-0.32-1.fc29.x86_64.rpm
          cohomCalg-debuginfo-0.32-1.fc29.x86_64.rpm
          cohomCalg-debugsource-0.32-1.fc29.x86_64.rpm
          cohomCalg-0.32-1.fc29.src.rpm
cohomCalg.x86_64: W: spelling-error Summary(en_US) cohomologies -> cosmologies
cohomCalg.x86_64: W: spelling-error Summary(en_US) toric -> tonic, topic, Doric
cohomCalg.x86_64: W: spelling-error %description -l en_US cohomologies -> cosmologies
cohomCalg.x86_64: W: spelling-error %description -l en_US toric -> tonic, topic, Doric
cohomCalg.x86_64: W: no-manual-page-for-binary cohomcalg
cohomCalg-debugsource.x86_64: W: no-documentation
cohomCalg.src: W: spelling-error Summary(en_US) cohomologies -> cosmologies
cohomCalg.src: W: spelling-error Summary(en_US) toric -> tonic, topic, Doric
cohomCalg.src: W: spelling-error %description -l en_US cohomologies -> cosmologies
cohomCalg.src: W: spelling-error %description -l en_US toric -> tonic, topic, Doric
cohomCalg.src: W: invalid-url Source1: cohomCalg-test.tar.xz
4 packages and 0 specfiles checked; 0 errors, 11 warnings.

Comment 2 Jerry James 2018-04-28 14:19:37 UTC
Thank you for the review!

(In reply to Robert-André Mauchin from comment #1)
>  - How do you get/generate Source1? Add a comment explaining it.
> 
>  - Split the doc in a separate noarch subpackage.

Done.  New URLs:

Spec URL: https://jjames.fedorapeople.org/cohomCalg/cohomCalg.spec
SRPM URL: https://jjames.fedorapeople.org/cohomCalg/cohomCalg-0.32-2.fc29.src.rpm

Comment 3 Robert-André Mauchin 🐧 2018-04-28 14:51:15 UTC
Package approved.

Comment 4 Jason Tibbitts 2018-04-28 16:26:54 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/cohomCalg

Comment 5 Jerry James 2018-04-29 04:33:42 UTC
Package has been built in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.